Name: connman
Version: 1.5
Release: 7%{?dist}
Summary: An alternative daemon for managing internet connections on Linux

Group: System Environment/Base
License: GPLv2
URL: http://connman.net/
Source0: http://www.kernel.org/pub/linux/network/%{name}/%{name}-%{version}.tar.xz
Source1: connman
Patch1: nosystemd.patch
Patch2: dbus-permission.patch

#BuildRequires: systemd-units
BuildRequires: glib2-devel >= 2.28
BuildRequires: dbus-devel >= 1.4
BuildRequires: iptables-devel
BuildRequires: gnutls-devel
# connman searches for wpa_supplicant during build
BuildRequires: wpa_supplicant >= 1.0
Requires: wpa_supplicant >= 1.0
#Requires(post): systemd-units
#Requires(preun): systemd-units
#Requires(postun): systemd-units

%description
The ConnMan project provides a daemon for managing internet connections within
embedded devices running the Linux operating system. The Connection Manager is
designed to be slim and to use as few resources as possible, so it can be
easily integrated.

%package devel
Summary: Libraries and headers for connman
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files for connman.

%prep
%setup -q
%patch1 -p1 
%patch2 -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
install -d -m 755 %{buildroot}/etc/init.d
install -c -m 755 %{SOURCE1} %{buildroot}/etc/init.d

%post
#%systemd_post connman.service
/sbin/chkconfig connman on

%preun
#%systemd_preun connman.service

%postun
#%systemd_postun_with_restart connman.service 

%files
%doc README COPYING
#%{_unitdir}/connman.service
%{_sbindir}/connmand
%config(noreplace) /etc/dbus-1/system.d/connman.conf
%{_sysconfdir}/init.d/connman

%files devel
%{_includedir}/connman
%{_includedir}/connman/device.h
%{_includedir}/connman/inet.h
%{_includedir}/connman/ipconfig.h
%{_includedir}/connman/log.h
%{_includedir}/connman/network.h
%{_includedir}/connman/notifier.h
%{_includedir}/connman/plugin.h
%{_includedir}/connman/provision.h
%{_includedir}/connman/resolver.h
%{_includedir}/connman/service.h
%{_includedir}/connman/storage.h
%{_includedir}/connman/types.h
%{_includedir}/connman/version.h
%{_libdir}/pkgconfig/connman.pc

%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - 1.5-7
- Built for Fuduntu
- Convert to sysvinit
- Fix up dbus permissions

* Sun Aug 26 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-4
- add wpa_supplicant build dependency

* Sat Aug 18 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-3
- include COPYING
- make -devel depend on main package

* Sat Aug 18 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-2
- fix scriptlets
- own /usr/include/connman

* Thu Aug 16 2012 Pavel Šimerda <psimerda@redhat.com> - 1.5-1
- initial build
